# Performance Schema user\_variables\_by\_thread Table

{% hint style="info" %}
The `user_variables_by_thread` table is available from MariaDB 10.5.2.
{% endhint %}

The `user_variables_by_thread` table contains information about [user-defined variables](/docs/server/reference/sql-structure/sql-language-structure/user-defined-variables.md) and the threads that defined them.

[TRUNCATE TABLE](/docs/server/reference/sql-statements/table-statements/truncate-table.md) cannot be performed on the table.

The table contains the following columns:

| Column          | Description                                                            |
| --------------- | ---------------------------------------------------------------------- |
| THREAD\_ID      | The thread identifier of the session in which the variable is defined. |
| VARIABLE\_NAME  | The variable name, without the leading @ character.                    |
| VARIABLE\_VALUE | The variable value                                                     |

## Example

```sql
SET @var = 0;

SELECT * FROM user_variables_by_thread;
+-----------+---------------+----------------+
| THREAD_ID | VARIABLE_NAME | VARIABLE_VALUE |
+-----------+---------------+----------------+
|        11 | var           | 0              |
+-----------+---------------+----------------+
```

## See Also

* [User-defined variables](/docs/server/reference/sql-structure/sql-language-structure/user-defined-variables.md)
* [Information Schema USER\_VARIABLES Table](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-user_variables-table.md)

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-user_variables_by_thread-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
